Loading...
Searching...
No Matches
types.h File Reference
`#include "../../amino_acid/aa.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::specpeptidoms

## Enumerations

enum class | pappso::specpeptidoms::ScoreType : std::uint8_t { pappso::specpeptidoms::foundDouble = 0 , pappso::specpeptidoms::found = 1 , pappso::specpeptidoms::foundShiftDouble = 2 , pappso::specpeptidoms::foundShift = 3 , pappso::specpeptidoms::notFound = 4 , pappso::specpeptidoms::init = 5 }
enum class | pappso::specpeptidoms::AlignType { pappso::specpeptidoms::found , pappso::specpeptidoms::shift , pappso::specpeptidoms::perfectShift , pappso::specpeptidoms::notFound , pappso::specpeptidoms::init }

## Functions

const uint | pappso::specpeptidoms::MAX_SAVED_ALIGNMENTS (5)
const uint | pappso::specpeptidoms::ALIGNMENT_SURPLUS (5)
const int | pappso::specpeptidoms::MIN_ALIGNMENT_SCORE (15)
const uint | pappso::specpeptidoms::MAX_RETURNED_RESULTS (2)
const uint | pappso::specpeptidoms::TOL_PEAKS_MISSING (4)
const uint | pappso::specpeptidoms::TOL_PEAKS_MISSING_FIRST_COLUMN (5)
const float | pappso::specpeptidoms::ALIGNMENT_FILTER (0.9)